#!/bin/bash


# Detect current profile
function profile {
    CURRENT_PROFILE=$(LC_ALL=C  pactl list sinks | grep -i "active port" | cut -d " " -f 3)
}


# If either i3’s button is 1 or the first argument is “switch”, switch profile
if [[ $BLOCK_BUTTON -eq 1 ]] || [ "$1" == "switch" ] ; then
    profile
    if ! [ "$CURRENT_PROFILE" = "iec958-stereo-output" ] ; then
        pacmd set-card-profile 0 output:iec958-stereo
    else
        pacmd set-card-profile 0 output:hdmi-stereo-extra2
    fi
fi

# Print out current profile
profile
echo "${CURRENT_PROFILE%%-*}"
